Bug 192285 - Review Request: isic -- IP Stack Integrity Checker
Review Request: isic -- IP Stack Integrity Checker
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-05-18 15:24 EDT by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-24 14:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-05-18 15:24:11 EDT
First package by me for Extras, need a sponsor... Plenty more where this came from... :)

Spec URL: http://wilsonet.com/packages/isic/isic.spec
SRPM URL: http://wilsonet.com/packages/isic/isic-0.06-1.src.rpm

Description: ISIC is a suite of utilities to exercise the stability of
an IP Stack and its component stacks (TCP, UDP, ICMP et.
al.) It generates piles of pseudo random packets of the
target protocol. The packets be given tendancies to conform
to. Ie 50% of the packets generated can have IP Options.
25% of the packets can be IP fragments... But the
percentages are arbitrary and most of the packet fields
have a configurable tendancy.

The packets are then sent against the target machine to
either penetrate its firewall rules or find bugs in the
IP stack.

ISIC also contains a utility generate raw ether frames to
examine hardware implementations.
Comment 1 Warren Togami 2006-05-18 16:15:20 EDT
W: isic doc-file-dependency /usr/share/doc/isic-0.06/wrapper.sh /bin/sh

I suppose this really isn't a problem, but do you really need executable scripts
in docs?

Package looks good, APPROVED.
Comment 2 Jarod Wilson 2006-05-18 16:29:41 EDT
Per discussion w/warren on irc, I'll just chmod 644 wrapper.sh.
Comment 3 Jarod Wilson 2006-05-24 14:38:42 EDT
Packages built for devel tree and FC5, closing ticket.

Note You need to log in before you can comment on or make changes to this bug.